# IO.Swagger.Api.RescheduleApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**RescheduleCustomerAutomatic**](RescheduleApi.md#reschedulecustomerautomatic) | **POST** /rescheduleCustomerAutomatic | Reschedule Customer (Automatic)
[**RescheduleCustomerImmediate**](RescheduleApi.md#reschedulecustomerimmediate) | **POST** /rescheduleCustomerImmediate | Reschedule Customer (Send right away)
[**RescheduleManualOneReviewRequest**](RescheduleApi.md#reschedulemanualonereviewrequest) | **POST** /rescheduleManualOneReviewRequest | Reschedule Customer (Manual Schedule)


<a name="reschedulecustomerautomatic"></a>
# **RescheduleCustomerAutomatic**
> void RescheduleCustomerAutomatic (string customerid, string language)

Reschedule Customer (Automatic)

Reschedule Customer (Automatic) 

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class RescheduleCustomerAutomaticExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new RescheduleApi();
            var customerid = customerid_example;  // string | Customer ID
            var language = language_example;  // string | Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages 

            try
            {
                // Reschedule Customer (Automatic)
                apiInstance.RescheduleCustomerAutomatic(customerid, language);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RescheduleApi.RescheduleCustomerAutomatic: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **string**| Customer ID | 
 **language** | **string**| Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  | 

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="reschedulecustomerimmediate"></a>
# **RescheduleCustomerImmediate**
> void RescheduleCustomerImmediate (string customerid, string language)

Reschedule Customer (Send right away)

Reschedule Customer (Send right away) 

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class RescheduleCustomerImmediateExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new RescheduleApi();
            var customerid = customerid_example;  // string | Customer ID
            var language = language_example;  // string | Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages 

            try
            {
                // Reschedule Customer (Send right away)
                apiInstance.RescheduleCustomerImmediate(customerid, language);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RescheduleApi.RescheduleCustomerImmediate: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **string**| Customer ID | 
 **language** | **string**| Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  | 

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="reschedulemanualonereviewrequest"></a>
# **RescheduleManualOneReviewRequest**
> void RescheduleManualOneReviewRequest (string customerid, string language, string scheduledate, string scheduletime, string emailnumber, string smsnumber)

Reschedule Customer (Manual Schedule)

Reschedule Customer (Manual Schedule) 

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class RescheduleManualOneReviewRequestExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new RescheduleApi();
            var customerid = customerid_example;  // string | Customer ID
            var language = language_example;  // string | Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages 
            var scheduledate = scheduledate_example;  // string | Schedule date (yyyy/mm/dd) 
            var scheduletime = scheduletime_example;  // string | Schedule time (HH:MM 24 hours format) 
            var emailnumber = emailnumber_example;  // string | Set which Email Feedback / Requests will be sent (Allowed values: \"1\", \"2\", \"3\")  (default to 1)
            var smsnumber = smsnumber_example;  // string | Set which SMS Feedback / Requests will be sent (Allowed values: \"1\", \"2\", \"3\")  (default to 1)

            try
            {
                // Reschedule Customer (Manual Schedule)
                apiInstance.RescheduleManualOneReviewRequest(customerid, language, scheduledate, scheduletime, emailnumber, smsnumber);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling RescheduleApi.RescheduleManualOneReviewRequest: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **string**| Customer ID | 
 **language** | **string**| Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  | 
 **scheduledate** | **string**| Schedule date (yyyy/mm/dd)  | 
 **scheduletime** | **string**| Schedule time (HH:MM 24 hours format)  | 
 **emailnumber** | **string**| Set which Email Feedback / Requests will be sent (Allowed values: \&quot;1\&quot;, \&quot;2\&quot;, \&quot;3\&quot;)  | [default to 1]
 **smsnumber** | **string**| Set which SMS Feedback / Requests will be sent (Allowed values: \&quot;1\&quot;, \&quot;2\&quot;, \&quot;3\&quot;)  | [default to 1]

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

