using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class SentLog {
    /// <summary>
    /// Sent Log Id
    /// </summary>
    /// <value>Sent Log Id</value>
    [DataMember(Name="sentLogId", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "sentLogId")]
    public string SentLogId { get; set; }

    /// <summary>
    /// Company Id
    /// </summary>
    /// <value>Company Id</value>
    [DataMember(Name="companyId", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "companyId")]
    public string CompanyId { get; set; }

    /// <summary>
    /// Customer ID
    /// </summary>
    /// <value>Customer ID</value>
    [DataMember(Name="customerID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "customerID")]
    public string CustomerID { get; set; }

    /// <summary>
    /// Queue ID
    /// </summary>
    /// <value>Queue ID</value>
    [DataMember(Name="queueID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "queueID")]
    public string QueueID { get; set; }

    /// <summary>
    /// Sent Date
    /// </summary>
    /// <value>Sent Date</value>
    [DataMember(Name="SentDate", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "SentDate")]
    public string SentDate { get; set; }

    /// <summary>
    /// Send Type
    /// </summary>
    /// <value>Send Type</value>
    [DataMember(Name="SendType", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "SendType")]
    public string SendType { get; set; }

    /// <summary>
    /// Send Number
    /// </summary>
    /// <value>Send Number</value>
    [DataMember(Name="SendNumber", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "SendNumber")]
    public string SendNumber { get; set; }

    /// <summary>
    /// Send Via
    /// </summary>
    /// <value>Send Via</value>
    [DataMember(Name="SendVia", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "SendVia")]
    public string SendVia { get; set; }

    /// <summary>
    /// Email Subject
    /// </summary>
    /// <value>Email Subject</value>
    [DataMember(Name="EmailSubject", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "EmailSubject")]
    public string EmailSubject { get; set; }

    /// <summary>
    /// Message
    /// </summary>
    /// <value>Message</value>
    [DataMember(Name="Message", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "Message")]
    public string Message { get; set; }

    /// <summary>
    /// Log Status
    /// </summary>
    /// <value>Log Status</value>
    [DataMember(Name="LogStatus", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "LogStatus")]
    public string LogStatus { get; set; }

    /// <summary>
    /// Creation Date
    /// </summary>
    /// <value>Creation Date</value>
    [DataMember(Name="CreationDate", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "CreationDate")]
    public string CreationDate { get; set; }

    /// <summary>
    /// Open Count
    /// </summary>
    /// <value>Open Count</value>
    [DataMember(Name="OpenCount", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "OpenCount")]
    public string OpenCount { get; set; }

    /// <summary>
    /// Latest Open Time
    /// </summary>
    /// <value>Latest Open Time</value>
    [DataMember(Name="LatestOpenTime", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "LatestOpenTime")]
    public string LatestOpenTime { get; set; }

    /// <summary>
    /// Click Count
    /// </summary>
    /// <value>Click Count</value>
    [DataMember(Name="ClickCount", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "ClickCount")]
    public string ClickCount { get; set; }

    /// <summary>
    /// Latest Click Time
    /// </summary>
    /// <value>Latest Click Time</value>
    [DataMember(Name="LatestClickTime", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "LatestClickTime")]
    public string LatestClickTime { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class SentLog {\n");
      sb.Append("  SentLogId: ").Append(SentLogId).Append("\n");
      sb.Append("  CompanyId: ").Append(CompanyId).Append("\n");
      sb.Append("  CustomerID: ").Append(CustomerID).Append("\n");
      sb.Append("  QueueID: ").Append(QueueID).Append("\n");
      sb.Append("  SentDate: ").Append(SentDate).Append("\n");
      sb.Append("  SendType: ").Append(SendType).Append("\n");
      sb.Append("  SendNumber: ").Append(SendNumber).Append("\n");
      sb.Append("  SendVia: ").Append(SendVia).Append("\n");
      sb.Append("  EmailSubject: ").Append(EmailSubject).Append("\n");
      sb.Append("  Message: ").Append(Message).Append("\n");
      sb.Append("  LogStatus: ").Append(LogStatus).Append("\n");
      sb.Append("  CreationDate: ").Append(CreationDate).Append("\n");
      sb.Append("  OpenCount: ").Append(OpenCount).Append("\n");
      sb.Append("  LatestOpenTime: ").Append(LatestOpenTime).Append("\n");
      sb.Append("  ClickCount: ").Append(ClickCount).Append("\n");
      sb.Append("  LatestClickTime: ").Append(LatestClickTime).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
